> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download

<Note>
  This endpoint will generate a MasterFile with all signers personally identifiable information (PII) included.
</Note>

<Tip>
  If you want more control over the content included in the MasterFile consider using the [MasterFile export API](/v4/api/masterfile/export) endpoint instead.
</Tip>

## Request

```http Request theme={null}
GET /masterfiles/{packageId}/pdf/download
```

### Parameters

<ParamField path="packageId" type="string" required>
  The unique identifier of the package you want to download MasterFile for.
</ParamField>

## Response

Returns a PDF file of the requested package's MasterFile.

<ResponseExample>
  ```http Response theme={null}
  HTTP/1.1 200 OK
  Content-Type: application/pdf
  Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf

  <PDF-BINARY-DATA>
  ```
</ResponseExample>
